/****************************************************************************
*
* HEALTH.H
*
* PROGRAMMER : Chris
*    VERSION : 00.00
*    CREATED : 03/06/98
*   MODIFIED : 03/06/98
*       TABS : 5
*
* DESCRIPTION
*	Header file for HEALTH.C
*
*****************************************************************************/

#ifndef _HEALTH_H
#define _HEALTH_H

#ifdef __cplusplus
extern "C" {
#endif

/*---------------------------------------------------------------------------
 *	Import Headers
\*--------------------------------------------------------------------------*/

#ifdef PSX_VERSION
#include "../spec_psx/typedefs.h"
#else
#include "..\specific\stypes.h"
#endif

#include "text.h"

/*---------------------------------------------------------------------------
 *	Prototypes
\*--------------------------------------------------------------------------*/

extern int overlay_flag;
extern TEXTSTRING *ammotext;

extern int FlashIt();
extern void DrawAssaultTimer();
extern void DrawGameInfo(int timed);
extern void DrawHealthBar(int flash_state);
extern void DrawAirBar(int flash_state);
extern void MakeAmmoString(char *string);
extern void DrawAmmoInfo();
extern void InitialisePickUpDisplay();
extern void DrawPickups(int timed);
extern void AddDisplayPickup(sint16 objnum);
extern void DisplayModeInfo(char* szString);
extern void DrawModeInfo();

#ifdef __cplusplus
}
#endif

#endif
